package main

import (
	"context"
	"os"
	"os/signal"
	"syscall"

	"yizhisec.com/hsv2/forge/internal/cmd"
)

func main() {
	ctx, cancel := signal.NotifyContext(context.Background(), syscall.SIGINT, syscall.SIGTERM)
	defer cancel()

	if err := cmd.Execute(ctx); err != nil {
		os.Exit(1)
	}
}
